| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Properties

# IG::Forms::ReporterConsoleMsgbox_Base Class Reference

Base class for reporter classes that contain either reporting via system console, reporting via message box, or both. More...

Inheritance diagram for IG::Forms::ReporterConsoleMsgbox_Base:
[legend]
Collaboration diagram for IG::Forms::ReporterConsoleMsgbox_Base:
[legend]

List of all members.

## Public Member Functions
override void | Report (ReportType messagetype, string location, string message, Exception ex)
| Basic reporting method (overloaded). Launches an error report, a warning report or other kind of report/message. Supplemental data (such as objects necessary to launch visualize the report or operation flags) are obtained from the class' instance.
## Static Public Member Functions
static void | DefaultReserveReportError (ReporterConsoleMsgbox_Base reporter, ReportType messagetype, string location, string message, Exception ex, Exception ex1)
## Public Attributes
ReportDelegate | ReportDlgMessageBox = new ReportDelegate(DefaultReport_MessageBox)
| Delegate that performs error reporting via message box. It calls delegates ReportDlg to assemble error location information and ReportMessageDlg to assemble error message. Then it uses both to assemble the final decorated error message and launches it in its own way.
ReportLocationDelegate | ReportLocationDlgMessageBox = new ReportLocationDelegate(DefaultReportLocation_MessageBox)
| Delegate that assembles the error location string for reporting via message box.
ReportMessageDelegate | ReportMessageDlgMessageBox = new ReportMessageDelegate(DefaultReportMessage_MessageBox)
| Delegate that assembles the eror message string for reporting via message box.
## Protected Member Functions
override void | ReadAppSettingsBasic (string groupname)
| Reads settings for a specified named group of reporters from the application configuration file.
override void | ReserveReportErrorSpecific (ReportType messagetype, string location, string message, Exception ex, Exception ex1)
| Reportinf of internal reporter errors for the specific reporter class (overridden in derived classes). This method is called for internal error reports when the delegate for this job is not defined.
virtual void | Report_MessageBox (ReportType messagetype, string location, string message, Exception ex)
| Launches a report via message box. Report is launched by using special delegates for this kind of reporting. If the corresponding delegates for error location and message are not specified then general delegates are used for this purporse, or location and message string are simple assembled by this function.
## Static Protected Member Functions
static void | DefaultReport_MessageBox (ReporterBase reporter, ReportType messagetype, string location, string message)
| Delegat for launching a report via message box.
static string | DefaultReportLocation_MessageBox (ReporterBase reporter, ReportType messagetype, string location, Exception ex)
| Delegate for assembling a location string for this kind of report.
static string | DefaultReportMessage_MessageBox (ReporterBase reporter, ReportType messagetype, string basicmessage, Exception ex)
| Delegate for assembling a report message for this kind of report.
## Protected Attributes
const string | KeyUseMessageBox = "UseMessageBox"
## Properties
virtual bool | UseMessageBox`[get, set]`
| Gets or sets the flag specifying whether reporting using a message box is performed or not.

## Detailed Description

Base class for reporter classes that contain either reporting via system console, reporting via message box, or both.

Code common to all classes is put here. This is to reduce duplication of code as much as possible, while at the same time achieving pure behavior: a class intended for reporting via message boxes but not via console does not enable reporting in a console; the class intended for reporting only via message box does not enable reporting via co nsole; but still there can be a class that enables both, with only small portions of code duplicated form both classes. Interfaces are intended to clearly distinguish between various functionality supported.

## Member Function Documentation

override void IG::Forms::ReporterConsoleMsgbox_Base::ReadAppSettingsBasic | ( | string | groupname | ) | `[inline, protected, virtual]`

Reads settings for a specified named group of reporters from the application configuration file.

Parameters:

  groupname | Name of the group of reporters for which the settings apply.

Reimplemented from IG::Lib::ReporterBase.

Reimplemented in IG::Lib::ReporterConsoleMsgboxSpeech_Base, and IG::Forms::ReporterMsgbox.

static void IG::Forms::ReporterConsoleMsgbox_Base::DefaultReserveReportError | ( | ReporterConsoleMsgbox_Base | reporter,
|  | ReportType | messagetype,
|  | string | location,
|  | string | message,
|  | Exception | ex,
|  | Exception | ex1
| ) |  | `[inline, static]`

override void IG::Forms::ReporterConsoleMsgbox_Base::ReserveReportErrorSpecific | ( | ReportType | messagetype,
|  | string | location,
|  | string | message,
|  | Exception | ex,
|  | Exception | ex1
| ) |  | `[inline, protected, virtual]`

Reportinf of internal reporter errors for the specific reporter class (overridden in derived classes). This method is called for internal error reports when the delegate for this job is not defined.

Parameters:

  messagetype |
  location |
  message |
  ex |
  ex1 |

Reimplemented from IG::Lib::ReporterBase.

override void IG::Forms::ReporterConsoleMsgbox_Base::Report | ( | ReportType | messagetype,
|  | string | location,
|  | string | message,
|  | Exception | ex
| ) |  | `[inline, virtual]`

Basic reporting method (overloaded). Launches an error report, a warning report or other kind of report/message. Supplemental data (such as objects necessary to launch visualize the report or operation flags) are obtained from the class' instance.

Parameters:

  messagetype | The type of the report (e.g. Error, Warning, etc.).
  location | User-provided description of error location.
  message | User-provided description of error.
  ex | Exception thrown when error occurred.

Reimplemented from IG::Lib::ReporterConsole_Base.

Reimplemented in IG::Lib::ReporterConsoleMsgboxSpeech_Base.

static void IG::Forms::ReporterConsoleMsgbox_Base::DefaultReport_MessageBox | ( | ReporterBase | reporter,
|  | ReportType | messagetype,
|  | string | location,
|  | string | message
| ) |  | `[inline, static, protected]`

Delegat for launching a report via message box.

Parameters:

  reporter | Reporter object where additional information can be found.
  messagetype | Type of the report(Error, Warning, Info...).
  location | Short string desctribing location where report was triggered.
  message | Message of the report.

static string IG::Forms::ReporterConsoleMsgbox_Base::DefaultReportLocation_MessageBox | ( | ReporterBase | reporter,
|  | ReportType | messagetype,
|  | string | location,
|  | Exception | ex
| ) |  | `[inline, static, protected]`

Delegate for assembling a location string for this kind of report.

Parameters:

  reporter | Reporter object where additional information can be found.
  messagetype | Type of the report(Error, Warning, Info...).
  location | User provided location string.
  ex | Exception that triggered reporting.

Returns:
  Location string that can be used in a report.

static string IG::Forms::ReporterConsoleMsgbox_Base::DefaultReportMessage_MessageBox | ( | ReporterBase | reporter,
|  | ReportType | messagetype,
|  | string | basicmessage,
|  | Exception | ex
| ) |  | `[inline, static, protected]`

Delegate for assembling a report message for this kind of report.

Parameters:

  reporter | Reporter object where additional information can be found.
  messagetype | Type of the report(Error, Warning, Info...).
  basicmessage | User provided message string.
  ex | Exception that triggered reporting.

Returns:
  Message string that can be used in a report.

virtual void IG::Forms::ReporterConsoleMsgbox_Base::Report_MessageBox | ( | ReportType | messagetype,
|  | string | location,
|  | string | message,
|  | Exception | ex
| ) |  | `[inline, protected, virtual]`

Launches a report via message box. Report is launched by using special delegates for this kind of reporting. If the corresponding delegates for error location and message are not specified then general delegates are used for this purporse, or location and message string are simple assembled by this function.

Parameters:

  messagetype | Type of the report(Error, Warning, Info...).
  location | User provided location string.
  message | User provided message string.
  ex | Exception that triggered reporting.

## Member Data Documentation

const string IG::Forms::ReporterConsoleMsgbox_Base::KeyUseMessageBox = "UseMessageBox"`[protected]`

ReportDelegate IG::Forms::ReporterConsoleMsgbox_Base::ReportDlgMessageBox = new ReportDelegate(DefaultReport_MessageBox)

Delegate that performs error reporting via message box. It calls delegates ReportDlg to assemble error location information and ReportMessageDlg to assemble error message. Then it uses both to assemble the final decorated error message and launches it in its own way.

ReportLocationDelegate IG::Forms::ReporterConsoleMsgbox_Base::ReportLocationDlgMessageBox = new ReportLocationDelegate(DefaultReportLocation_MessageBox)

Delegate that assembles the error location string for reporting via message box.

ReportMessageDelegate IG::Forms::ReporterConsoleMsgbox_Base::ReportMessageDlgMessageBox = new ReportMessageDelegate(DefaultReportMessage_MessageBox)

Delegate that assembles the eror message string for reporting via message box.

## Property Documentation

virtual bool IG::Forms::ReporterConsoleMsgbox_Base::UseMessageBox`[get, set]`

Gets or sets the flag specifying whether reporting using a message box is performed or not.

The documentation for this class was generated from the following file:

- ReporterMsg_Forms.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events